LuceneFulltextDataSource (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.index.lucene.LuceneFulltextDataSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.index.lucene
Class LuceneFulltextDataSource

    java.lang.Object
      org.neo4j.kernel.impl.transaction.xaframework.XaDataSource
          org.neo4j.index.lucene.LuceneDataSource
              org.neo4j.index.lucene.LuceneFulltextDataSource

    public class LuceneFulltextDataSource

extends LuceneDataSource

A lucene XA data store for storing fulltext indexing. This class is public because the XA framework requires it.

Field Summary

Fields inherited from class org.neo4j.index.lucene.LuceneDataSource
`LOWER_CASE_WHITESPACE_ANALYZER`

Constructor Summary
`LuceneFulltextDataSource(Map<Object,Object> params)` Constructs a `LuceneFulltextDataSource`.

Method Summary
`protected void` | `configureLog(Map<?,?> config)`
`org.neo4j.kernel.impl.transaction.xaframework.XaTransaction` | `createTransaction(int identifier, org.neo4j.kernel.impl.transaction.xaframework.XaLogicalLog logicalLog)`
`protected void` | `fillDocument(org.apache.lucene.document.Document document, long nodeId, String key, Object value)`
`protected String` | `getDeleteDocumentsKey()`
`protected org.apache.lucene.document.Field.Index` | `getIndexStrategy(String key, Object value)`

Methods inherited from class org.neo4j.index.lucene.LuceneDataSource
`applyLog, close, deleteDocumentsUsingWriter, deleteLogicalLog, getAnalyzer, getCreationTime, getCurrentLogVersion, getFileName, getIndexService, getLogicalLog, getLogicalLog, getLogicalLogLength, getRandomIdentifier, getXaConnection, hasLogicalLog, isLogicalLogKept, keepLogicalLogs, makeBackupSlave, rotateLogicalLog, setAutoRotate, setIndexService, setLogicalLogTargetSize`

Methods inherited from class org.neo4j.kernel.impl.transaction.xaframework.XaDataSource
`getBranchId, getName, setBranchId, setName, shouldKeepLog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneFulltextDataSource

    public LuceneFulltextDataSource(Map<Object,Object> params)
                             throws InstantiationException

  Constructs a `LuceneFulltextDataSource`.

  Parameters:
    `params` - XA parameters
  Throws:
    `InstantiationException` - if the data source couldn't be instantiated

Method Detail

### createTransaction

    public org.neo4j.kernel.impl.transaction.xaframework.XaTransaction createTransaction(int identifier,
                                                                                         org.neo4j.kernel.impl.transaction.xaframework.XaLogicalLog logicalLog)

### getIndexStrategy

    protected org.apache.lucene.document.Field.Index getIndexStrategy(String key,
                                                                      Object value)

  Overrides:
    `getIndexStrategy` in class `LuceneDataSource`

### getDeleteDocumentsKey

    protected String getDeleteDocumentsKey()

  Overrides:
    `getDeleteDocumentsKey` in class `LuceneDataSource`

### fillDocument

    protected void fillDocument(org.apache.lucene.document.Document document,
                                long nodeId,
                                String key,
                                Object value)

  Overrides:
    `fillDocument` in class `LuceneDataSource`

### configureLog

    protected void configureLog(Map<?,?> config)

  Overrides:
    `configureLog` in class `LuceneDataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.